wifi8 2.0.0.0

Data Fields
wifi8_hif_context_t Struct Reference

`#include <wifi8.h>`

## Data Fields
uint8_t | u8_chip_mode
uint8_t | u8_chip_sleep
uint8_t | u8_hif_rx_done
uint8_t | u8_interrupt
uint8_t | u8_yield
uint32_t | u32_rx_addr
uint32_t | u32_rx_size
wifi8_hif_call_back_t | pf_wifi_cb
wifi8_hif_call_back_t | pf_ip_cb
wifi8_hif_call_back_t | pf_ota_cb
wifi8_hif_call_back_t | pf_sigma_cb
wifi8_hif_call_back_t | pf_hif_cb
wifi8_hif_call_back_t | pf_crypto_cb
wifi8_hif_call_back_t | pf_ssl_cb

## Field Documentation

## ◆ pf_crypto_cb

wifi8_hif_call_back_t pf_crypto_cb

## ◆ pf_hif_cb

wifi8_hif_call_back_t pf_hif_cb

## ◆ pf_ip_cb

wifi8_hif_call_back_t pf_ip_cb

## ◆ pf_ota_cb

wifi8_hif_call_back_t pf_ota_cb

## ◆ pf_sigma_cb

wifi8_hif_call_back_t pf_sigma_cb

## ◆ pf_ssl_cb

wifi8_hif_call_back_t pf_ssl_cb

## ◆ pf_wifi_cb

wifi8_hif_call_back_t pf_wifi_cb

## ◆ u32_rx_addr

uint32_t u32_rx_addr

## ◆ u32_rx_size

uint32_t u32_rx_size

## ◆ u8_chip_mode

uint8_t u8_chip_mode

## ◆ u8_chip_sleep

uint8_t u8_chip_sleep

## ◆ u8_hif_rx_done

uint8_t u8_hif_rx_done

## ◆ u8_interrupt

uint8_t u8_interrupt

## ◆ u8_yield

uint8_t u8_yield

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8.h